Bug 600744

Summary: Freeciv: Make impossible to access operating system from Lua scripts (security hardening)
Product: [Fedora] Fedora Reporter: Jan Lieskovsky <jlieskov>
Component: freecivAssignee: Thomas Janssen <thomasj>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 13CC: thomasj
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://gna.org/bugs/?15624
Whiteboard:
Fixed In Version: freeciv-2.2.0-2.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 600743 Environment:
Last Closed: 2010-06-23 17:39:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 600742, 600743    
Bug Blocks:    

Description Jan Lieskovsky 2010-06-05 20:48:27 UTC
+++ This bug was initially created as a clone of Bug #600743 +++

+++ This bug was initially created as a clone of Bug #600742 +++

Freeciv upstream addressed following bug:
  [1] http://gna.org/bugs/?15624

which should sandbox Lua scripts in Freeciv.

Relevant Freeciv v2.2 revision:
  [2] http://svn.gna.org/viewcvs/freeciv/?rev=17158&view=rev

Please apply this change too, as it is security hardening,
and may prevent occurrence of some potential security issues
in the future.

Comment 1 Fedora Update System 2010-06-06 08:56:42 UTC
freeciv-2.2.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/freeciv-2.2.0-2.fc12

Comment 2 Fedora Update System 2010-06-06 08:56:55 UTC
freeciv-2.2.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/freeciv-2.2.0-2.fc11

Comment 3 Fedora Update System 2010-06-06 08:57:07 UTC
freeciv-2.2.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/freeciv-2.2.0-2.fc13

Comment 4 Fedora Update System 2010-06-07 22:08:30 UTC
freeciv-2.2.0-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freeciv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/freeciv-2.2.0-2.fc12

Comment 5 Fedora Update System 2010-06-07 22:26:15 UTC
freeciv-2.2.0-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freeciv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/freeciv-2.2.0-2.fc13

Comment 6 Fedora Update System 2010-06-07 22:27:15 UTC
freeciv-2.2.0-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freeciv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/freeciv-2.2.0-2.fc11

Comment 7 Fedora Update System 2010-06-23 17:39:33 UTC
freeciv-2.2.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-06-23 17:52:13 UTC
freeciv-2.2.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-06-23 17:53:49 UTC
freeciv-2.2.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.